Bug 8891 - Добавить в network-functions/need_hostname возврат признака необходимости смены hostname
: Добавить в network-functions/need_hostname возврат признака необходимости сме...
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/net-scripts)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-01-20 17:27 by
Modified: 2007-01-28 20:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-20 17:27:52
При автоматической конфигурации сети с помощью dhcp-client может выполняться
переустановка имени хоста. Необходимость такой установки проверяется в
частности
с помощью кода возврата функции need_hostname. Поскольку в текущем варианте это
всегда 0, то смена имени хоста выполняется _всегда_. В ряде случаев это очень
неудобно, например GNOME (а может и X'ы) очень негативно реагирует на смену
имени на ходу, просто отказываясь запускать новые приложения. Это приводит к
необходимости каждый раз при смене сети перезапускать сеанс, что особенно
обидно
при использовании вместо полного выключения ноута Suspend2Disk.

Патч прилагается.

--- network-functions.old    2006-01-20 16:15:34 +0300
+++ network-functions    2006-01-20 16:17:39 +0300
@@ -2,6 +2,8 @@
 # This is not a standalone shell script;
 # it just provides functions to network scripts that source it.

+. /etc/rc.d/init.d/functions
+
 source_config ()
 {
     DEVNAME=`echo "${CONFIG##*/}" | sed 's/^ifcfg-//g'`
@@ -68,6 +70,8 @@
     else
         unset NEEDHOSTNAME
     fi
+
+    return is_yes "$NEEDHOSTNAME"
 }

 set_hostname()
------- Comment #1 From 2006-01-21 14:24:14 -------
Совсем скрипты писать разучился, вот та вроде правильно:

--- network-functions.old    2004-05-04 16:56:58 +0400
+++ network-functions    2006-01-21 14:22:58 +0300
@@ -2,6 +2,8 @@
 # This is not a standalone shell script;
 # it just provides functions to network scripts that source it.

+. /etc/rc.d/init.d/functions
+
 source_config ()
 {
     DEVNAME=`echo "${CONFIG##*/}" | sed 's/^ifcfg-//g'`
@@ -68,6 +70,11 @@
     else
         unset NEEDHOSTNAME
     fi
+
+    if [ "x$NEEDHOSTNAME" = "xyes" ]; then
+        return 0
+    fi
+    return 1
 }

 set_hostname()
------- Comment #2 From 2006-01-21 14:25:51 -------
*** Bug 8889 has been marked as a duplicate of this bug. ***
------- Comment #3 From 2006-01-23 11:53:06 -------
Может, портировать /etc/net на Master? У меня сейчас нет машин под управлением
Master-2.4.
------- Comment #4 From 2006-01-23 15:21:50 -------
Пардон, неправильно привязал к системе. Все сказанное относится к текущему
Sisyphus.
------- Comment #5 From 2006-01-24 10:20:00 -------
Это я привязал. Мне говорили, что какой-то пакет выталкивает net-scripts,
поэтому я думал, что ими никто уже не пользуется.
------- Comment #6 From 2006-01-24 10:39:22 -------
Может, дождётесь etcnet-0.8.1 в Sisyphus и перейдёте на него?
------- Comment #7 From 2006-03-24 12:33:34 -------
При попытке установить etcnet-0.8.1 apt пытается снести dhcp-client и pident, а
они мне нужны для работы, поэтому я до сих пор остаюсь на net-scripts.
------- Comment #8 From 2006-03-29 21:46:06 -------
Это по части pidentd.
------- Comment #9 From 2006-03-29 21:46:40 -------
dhcpcd как DHCP-клиент не подойдёт?
------- Comment #10 From 2006-03-30 14:20:15 -------
Мне нужно от dhcp агента, чтобы он, если не найден DHCP сервер подбирал
подходящую из набора статически заданных конфигураций (это для сеток, в которых
админы отказываются заводить DHCP-сервера). dhcpcd я посмотрю и если там это
возможно, то перейду.
------- Comment #11 From 2006-03-30 16:59:06 -------
Если BOOTPROTO=dhcp-static, набор профилей и selectprofile не решат такую
задачу, то это нужно исправлять.
------- Comment #12 From 2006-09-10 02:44:47 -------
Итак... Давайте заново сформулируем проблему, если она ещё есть.
------- Comment #13 From 2007-01-09 15:26:19 -------
Проблема закрыта в связи с исчезновением необходимости динамически конфигурить
сеть в отсутствии DHCP-сервера и моим переходом на etc-net.
------- Comment #14 From 2007-01-28 20:55:36 -------
not fixed
------- Comment #15 From 2007-01-28 20:56:06 -------
Но без планов править.